Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82210 - Dia renders UTF-8 text wrong
Summary: Dia renders UTF-8 text wrong
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dia
Version: 8.0
Hardware: i586
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 22:52 UTC by Andreas Rogge
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-12 12:19:10 UTC


Attachments (Terms of Use)

Description Andreas Rogge 2003-01-19 22:52:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i586; U;) Gecko/20020830

Description of problem:
With LANG set to de_DE.UTF-8 dia seems to render all text wrong.
There is a spacing between the characters

With LANG set to de_DE or en_EN it works.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start dia with "LANG=de_DE.UTF-8"
2.create a new worksheet
3.insert a text
    

Actual Results:  The text is rendered with spacings between the letters

Expected Results:  The text should be rendered as it is in non-UTF-8 environment

Additional info:

I think this might be related to Bug #76851 (dia does not find some fonts) or
#75950 (dia's fonts do not display correctly in german localization)

Comment 1 Alexander Larsson 2003-01-21 12:50:36 UTC
Yes. Dia is not UTF8 clean yet.


Comment 2 Alexander Larsson 2003-08-12 12:19:10 UTC
This works in dia 0.91, which is in rawhide.


Note You need to log in before you can comment on or make changes to this bug.